package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsInquiryDisease;
import com.fs.his.param.FsInquiryOrderReportParam;
import com.fs.his.vo.FsInquiryDiseaseVO;

/**
 * 问诊疾病Service接口
 *
 * @author fs
 * @date 2024-08-02
 */
public interface IFsInquiryDiseaseService
{
    /**
     * 查询问诊疾病
     *
     * @param diseaseId 问诊疾病主键
     * @return 问诊疾病
     */
    public FsInquiryDisease selectFsInquiryDiseaseByDiseaseId(Long diseaseId);

    /**
     * 查询问诊疾病列表
     *
     * @param fsInquiryDisease 问诊疾病
     * @return 问诊疾病集合
     */
    public List<FsInquiryDisease> selectFsInquiryDiseaseList(FsInquiryDisease fsInquiryDisease);

    /**
     * 新增问诊疾病
     *
     * @param fsInquiryDisease 问诊疾病
     * @return 结果
     */
    public int insertFsInquiryDisease(FsInquiryDisease fsInquiryDisease);

    /**
     * 修改问诊疾病
     *
     * @param fsInquiryDisease 问诊疾病
     * @return 结果
     */
    public int updateFsInquiryDisease(FsInquiryDisease fsInquiryDisease);

    /**
     * 批量删除问诊疾病
     *
     * @param diseaseIds 需要删除的问诊疾病主键集合
     * @return 结果
     */
    public int deleteFsInquiryDiseaseByDiseaseIds(Long[] diseaseIds);

    /**
     * 删除问诊疾病信息
     *
     * @param diseaseId 问诊疾病主键
     * @return 结果
     */
    public int deleteFsInquiryDiseaseByDiseaseId(Long diseaseId);

    List<FsInquiryDiseaseVO> selectFsInquiryDiseaseListVO(FsInquiryDisease fsInquiryDisease);

    String importData(List<FsInquiryDisease> list);
}
